tosca_definitions_version: tosca_simple_yaml_1.2
description: TOSCA simple profile with prestashop, mariadb and phpmyadmin.
topology_template:
node_templates:
prestashop: 
type: tosca.nodes.Container.Application.Prestashop
properties:
port: 80:80
artifacts:
prestashopimage:
file: prestashop
type: tosca.artifacts.Deployment.Image.Container.Docker
repository: docker_hub
requirements:
- database_endpoint: mariadb
- host:app-server1
interfaces:
Standard:
Create: 
implementation: prestashopimage
mariadb: 
type: tosca.nodes.Container.Application.Mariadb
artifacts:
mariadbimage:
file: ./docker/mariadb
type: tosca.artifacts.Deployment.Image.Container.Docker
repository: docker_hub
requirements:
- host:app-server2
interfaces:
Standard:
Create: 
implementation: mariadbimage
phpmyadmin: 
type: tosca.nodes.Container.Application.phpmyadmin
properties:
port: 81:80
artifacts:
phpmyadminimage:
file: phpmyadmin
type: tosca.artifacts.Deployment.Image.Container.Docker
repository: docker_hub
requirements:
- database_endpoint: mariadb
- host: app-server3
interfaces:
Standard:
Create: 
implementation: phpmyadminimage
app-server1: 
type: tosca.nodes.Compute
capabilities:
host:
properties:
disk_size: 10 GB
num_cpus: 2
mem_size: 8 GB
OS:
properties:
architecture: x86_64
type: Linux
distribution: ubuntu
version: 12.04
app-server2: 
type: tosca.nodes.Compute
capabilities:
host:
properties:
disk_size: 10 GB
num_cpus: 2
mem_size: 8 GB
OS:
properties:
architecture: x86_64
type: Linux
distribution: ubuntu
version: 12.04
app-server3: 
type: tosca.nodes.Compute
capabilities:
host:
properties:
disk_size: 10 GB
num_cpus: 2
mem_size: 8 GB
OS:
properties:
architecture: x86_64
type: Linux
distribution: ubuntu
version: 12.04
app-server4: 
type: tosca.nodes.Compute
capabilities:
host:
properties:
disk_size: 10 GB
num_cpus: 2
mem_size: 8 GB
OS:
properties:
architecture: x86_64
type: Linux
distribution: ubuntu
version: 12.04
app-server5: 
type: tosca.nodes.Compute
capabilities:
host:
properties:
disk_size: 10 GB
num_cpus: 2
mem_size: 8 GB
OS:
properties:
architecture: x86_64
type: Linux
distribution: ubuntu
version: 12.04
app-server6: 
type: tosca.nodes.Compute
capabilities:
host:
properties:
disk_size: 10 GB
num_cpus: 2
mem_size: 8 GB
OS:
properties:
architecture: x86_64
type: Linux
distribution: ubuntu
version: 12.04
